org.restlet.engine.riap

## Class RiapClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Client>
      - - org.restlet.engine.ClientHelper
        - - org.restlet.engine.riap.RiapClientHelper

    public class RiapClientHelper
    extends ClientHelper

Client connector for RIAP calls. Only the "component" authority is supported.

Author:
  Thierry Boileau
See Also:
  `Protocol.RIAP`

### Constructor Summary

Constructors
Constructor and Description
`RiapClientHelper(Client client)` Constructor.

### Method Summary

Methods
`void` `handle(Request request, Response response)` Handles a call.

### Methods inherited from class org.restlet.engine.ClientHelper

`getConnectTimeout`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, stop, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RiapClientHelper

    public RiapClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### handle

    public void handle(Request request,
              Response response)

Handles a call.

Overrides:
  `handle` in class `RestletHelper<Client>`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.